## org.apache.batik.ext.awt.image.rendered
Class TileMap

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.TileMap

All Implemented Interfaces:
  TileStore

public class TileMap
extends java.lang.Object
implements TileStore

Constructor Summary
`TileMap(TileGenerator source, LRUCache cache)`

Method Summary
`java.awt.image.Raster` `getTile(int x, int y)`
`java.awt.image.Raster` `getTileNoCompute(int x, int y)`
`void` `setTile(int x, int y, java.awt.image.Raster ras)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TileMap

    public TileMap(TileGenerator source,
                   LRUCache cache)

Method Detail

### setTile

    public void setTile(int x,
                        int y,
                        java.awt.image.Raster ras)

  Specified by:
    `setTile` in interface `TileStore`

### getTileNoCompute

    public java.awt.image.Raster getTileNoCompute(int x,
                                                  int y)

  Specified by:
    `getTileNoCompute` in interface `TileStore`

### getTile

    public java.awt.image.Raster getTile(int x,
                                         int y)

  Specified by:
    `getTile` in interface `TileStore`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.